package com.gtf.abstractHanler;

/**
 * 抽象类
 */
public abstract class GateawayHandler {
    //能够继承protected
    protected GateawayHandler nextGateawayHandler;
    //能够继承protected
    protected void nextService(){
        if (nextGateawayHandler!=null) {
            nextGateawayHandler.service();
        }
    }

    /**
     * 定义公共方法行为
     */
    public  abstract void service();

    /**
     * 设置下一个GateawayHandler
     */
    public void setNextGateawayHandler(GateawayHandler nextGateawayHandler){
        this.nextGateawayHandler = nextGateawayHandler;
    }

}
